Check Async Deploy Status

Version 4.0.26.10 (latest)

Check Status of Asynchronous Deploy

Get the status of an asynchronous deploy operation.

Request

GET /projects/{project_id}/deploy_status/{deployment_id}
Datatype
Description
Request
HTTP Request
path
HTTP Path
Expand HTTP Path definition...
project_id
string
Id of project
deployment_id
integer
Id of deployment

Response

200: Returns 200 if status was successfully retrieved

Datatype
Description
status
string
Status of the deploy (e.g., 'PENDING', 'COMPILING', 'SUCCESS', 'FAILED')
error
string
Error message if the deploy failed
commit_sha
string
Commit SHA of the deployment

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link